<?php
// core configuration
include_once "../config/core.php";

// check if logged in as admin
include_once "login_checker.php";

// include database and object files
include_once '../config/database.php';
include_once '../objects/page.php';

// get database connection
$database = new Database();
$db = $database->getConnection();

// prepare page object
$page_obj = new Page($db);

// set page title
$page_title="Pages";

// include page header HTML
include 'layout_head.php';

// get parameter values, and to prevent undefined index notice
$action = isset($_GET['action']) ? $_GET['action'] : "";
$search_term = isset($_GET['s']) ? $_GET['s'] : "";

// tell the user he's already logged in
if($action=='already_logged_in'){
	echo "<div class='alert alert-info'>";
		echo "<strong>You</strong> are already logged in.";
	echo "</div>";
}

// if a user tries to edit a page which he did not created
else if($action=='no_page_edit'){
	echo "<div class='alert alert-info'>";
		echo "<strong>You</strong> cannot edit that page.";
	echo "</div>";
}

// query pages
$stmt = $page_obj->readAll($from_record_num, $records_per_page);
$total_rows=$page_obj->countAll();

// paging settings
$page_url="index.php?";

// read products template
include_once 'read_products_template.php';

// include page footer HTML
include_once 'layout_foot.php';
?>
