<?php
// initialize if session cart is empty
if(!isset($_SESSION['cart'])){
	$_SESSION['cart']=array();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- set the page title, for seo purposes too -->
    <title><?php echo isset($page_title) ? strip_tags($page_title) : ""; ?></title>

	<!-- meta description -->
	<meta name="description" content="<?php echo isset($meta_description) ? strip_tags($meta_description) : ""; ?>">

	<!-- author -->
	<meta name="author" content="<?php echo isset($author) ? strip_tags($author) : ""; ?>">

	<!-- facebook -->
	<meta property="og:url" content="<?php echo isset($page_url) ? strip_tags($page_url) : ""; ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:title" content="<?php echo isset($page_title) ? strip_tags($page_title) : ""; ?>" />
	<meta property="og:description" content="<?php echo isset($meta_description) ? strip_tags($meta_description) : ""; ?>" />
	<meta property="og:image" content="<?php echo isset($featured_image) ? "{$home_url}images/" . strip_tags($featured_image) : ""; ?>" />

    <!-- Bootstrap CSS -->
	<link href="<?php echo $home_url; ?>libs/css/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">

	<!-- Font Awesome CSS -->
	<link href="<?php echo $home_url; ?>libs/css/font-awesome/css/font-awesome.min.css" rel="stylesheet" media="screen">

	<!-- blue imp gallery CSS -->
	<link rel="stylesheet" href="<?php echo $home_url; ?>libs/js/Bootstrap-Image-Gallery-3.1.1/css/blueimp-gallery.min.css">
	<link rel="stylesheet" href="<?php echo $home_url; ?>libs/js/Bootstrap-Image-Gallery-3.1.1/css/bootstrap-image-gallery.min.css">

    <!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

	<!-- custom CSS -->
	<style>
	.blueimp-gallery .modal-body img{ max-width:none; }

	div#blueimp-gallery div.modal {
		overflow:visible;
	}
	
	#page-meta{
	    overflow: hidden;
	    margin:20px 0 0 0;
	}

	#share-page{
	    overflow: hidden;
	    margin:20px 0 50px 0;
	}

	.m-r-10px{ margin-right:10px; }

	.featured-img{ width:100%; }

	#featured-img{
		width:100%;
		margin:0 0 15px 0;
	}

	.margin-bottom-1em{
		margin-bottom:1em;
	}

	.width-30-percent{
		width:30%;
	}

	.margin-1em-zero{
		margin:1em 0;
	}

	.width-30-percent{
		width:30%;
	}

	.width-70-percent{
		width:70%;
	}

	.photo-thumb{
		width:214px;
		height:214px;
		float:left;
		border: thin solid #d1d1d1;
		margin:0 1em 1em 0;
	}

	div#blueimp-gallery div.modal {
		overflow: visible;

	}

	.form-signin
	{
		max-width: 330px;
		padding: 15px;
		margin: 0 auto;
	}
	.form-signin .form-control
	{
		position: relative;
		font-size: 16px;
		height: auto;
		padding: 10px;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}
	.form-signin .form-control:focus
	{
		z-index: 2;
	}
	.form-signin input[type="text"]
	{
		margin-bottom: -1px;
		border-bottom-left-radius: 0;
		border-bottom-right-radius: 0;
	}
	.form-signin input[type="password"]
	{
		margin-bottom: 10px;
		border-top-left-radius: 0;
		border-top-right-radius: 0;
	}
	.account-wall
	{
		margin-top: 40px;
		padding: 40px 0px 20px 0px;
		background-color: #ffffff;
		box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.16);
	}
	.login-title
	{
		color: #555;
		font-size: 22px;
		font-weight: 400;
		display: block;
	}
	.profile-img
	{
		width: 96px;
		height: 96px;
		margin: 0 auto 10px;
		display: block;
		-moz-border-radius: 50%;
		-webkit-border-radius: 50%;
		border-radius: 50%;
	}
	.select-img
	{
		border-radius: 50%;
		display: block;
		height: 75px;
		margin: 0 30px 10px;
		width: 75px;
		-moz-border-radius: 50%;
		-webkit-border-radius: 50%;
		border-radius: 50%;
	}
	.select-name
	{
		display: block;
		margin: 30px 10px 10px;
	}

	.logo-img
	{
		width: 96px;
		height: 96px;
		margin: 0 auto 10px;
		display: block;
		-moz-border-radius: 50%;
		-webkit-border-radius: 50%;
		border-radius: 50%;
	}

	.margin-top-40{
		margin-top:40px;
	}

	.text-align-center{
		text-align:center;
	}

	#edit-page{
		overflow: hidden;
    	margin: 0 0 15px 0;
	}
	</style>

</head>
<body>

	<!-- include the navigation bar -->
	<?php include_once 'navigation.php'; ?>

    <!-- container -->
    <div class="container">

		<?php
		// if given page title is 'Login', do not display the title
		if($page_title!="Login"){

	        echo "<div class='page-header'>";
	            echo "<h1>";
					$page_title = htmlentities($page_title);
					echo !empty($page_title) ? $page_title : "The Code of a Ninja";
				echo "</h1>";
	        echo "</div>";

		}
		?>
