<!-- navbar -->
<div class="navbar navbar-default navbar-static-top" role="navigation">
	<div class="container">

		<div class="navbar-header">
			<!-- to enable navigation dropdown when viewed in mobile device -->
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">Toggle navigation</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>

			<!-- Change "Your Site" to your site name -->
			<a class="navbar-brand" href="<?php echo $home_url; ?>">Your Site</a>
		</div>

		<div class="navbar-collapse collapse">
			<ul class="nav navbar-nav">
				<!-- link to the "Cart" page, highlight if current page is cart.php -->
				<li <?php echo $page_title=="Select a Page" ? "class='active'" : ""; ?>>
					<a href="<?php echo $home_url; ?>">Home</a>
				</li>
			</ul>

			<ul class="nav navbar-nav">
				<!-- link to the "Cart" page, highlight if current page is cart.php -->
				<li <?php echo $page_title!="Select a Page" && $page_title!="Login" ? "class='active'" : ""; ?>>
					<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
						Pages <span class="caret"></span>
					</a>
					<ul class="dropdown-menu" role="menu">
						<?php
						// query pages
						$nav_stmt = $page_obj->readAll_PublishedPages();
						$nav_total_rows = $page_obj->countAll();

						// display the pages if there are any
						if($nav_total_rows>0){
							while($nav_row = $nav_stmt->fetch(PDO::FETCH_ASSOC)){

								$nav_page_id=$nav_row['id'];
								$nav_title=$nav_row['title'];
								$nav_slug=$nav_row['slug'];

								echo (isset($page_obj->id) && $nav_page_id==$page_obj->id)
									? "<li class='active'>"
									: "<li>";

								echo "<a href='{$home_url}page/{$nav_slug}'>{$nav_title}</a></li>";
							}
						}
						?>
					</ul>
				</li>
			</ul>

			<?php
			if(isset($_SESSION['access_level']) && $_SESSION['access_level']=="Admin"){
				?>
				<ul class="nav navbar-nav pull-right">
					<li <?php echo $page_title=="Login" ? "class='active'" : ""; ?>>
						<a href="<?php echo $home_url; ?>admin/index.php">
							<span class="glyphicon glyphicon-log-in"></span> Admin
						</a>
					</li>
				</ul>
				<?php
			}

			else{
				?>
				<ul class="nav navbar-nav pull-right">
					<li <?php echo $page_title=="Login" ? "class='active'" : ""; ?>>
						<a href="<?php echo $home_url; ?>login">
							<span class="glyphicon glyphicon-log-in"></span> Log In
						</a>
					</li>
				</ul>
				<?php
			}
			?>
		</div><!--/.nav-collapse -->

	</div>
</div>
<!-- /navbar -->
